import React from 'react';
export interface EditableInputProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, 'onChange'> {
    prefixCls?: string;
    value?: string | number;
    label?: React.ReactNode;
    labelStyle?: React.CSSProperties;
    placement?: 'top' | 'left' | 'bottom' | 'right';
    inputStyle?: React.CSSProperties;
    onChange?: (evn: React.ChangeEvent<HTMLInputElement>, value: string | number) => void;
    renderInput?: (props: React.InputHTMLAttributes<HTMLInputElement>, ref: React.Ref<HTMLInputElement>) => React.ReactNode;
}
declare const EditableInput: React.ForwardRefExoticComponent<EditableInputProps & React.RefAttributes<HTMLInputElement>>;
export default EditableInput;
